org.apache.sysds.runtime.matrix.operators

## Class TernaryOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.TernaryOperator

All Implemented Interfaces:
  Serializable

    public class TernaryOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

Fields
`TernaryValueFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`TernaryOperator(TernaryValueFunction p, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fn

    public final TernaryValueFunction fn

### Constructor Detail

#### TernaryOperator

    public TernaryOperator(TernaryValueFunction p,
                           int numThreads)

### Method Detail

#### getNumThreads

    public int getNumThreads()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`